/// <reference types="node" />
import { Logger } from '../../../core/logger/logger.service';
import { ConfigService } from '../../../core/config/config.service';
import { PluginsService } from '../../plugins/plugins.service';
import { HomebridgePluginUiMetadata } from '../../plugins/types';
import { EventEmitter } from 'events';
export declare class PluginsSettingsUiService {
    private loggerService;
    private pluginsService;
    private configService;
    private pluginUiMetadataCache;
    constructor(loggerService: Logger, pluginsService: PluginsService, configService: ConfigService);
    serveCustomUiAsset(reply: any, pluginName: string, assetPath: string, origin: string): Promise<any>;
    getPluginUiMetadata(pluginName: string): Promise<HomebridgePluginUiMetadata>;
    buildIndexHtml(pluginUi: HomebridgePluginUiMetadata, origin: string): Promise<string>;
    startCustomUiHandler(pluginName: string, client: EventEmitter): Promise<void>;
}
